SubtableFixedChildrenIterator (RichFaces JSF components library 3.2.1.GA API)
Keywords: org.richfaces.component.SubtableFixedChildrenIterator class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class SubtableFixedChildrenIterator

    java.lang.Object
      org.richfaces.component.SubtableFixedChildrenIterator

All Implemented Interfaces:
  java.util.Iterator<javax.faces.component.UIComponent>

    public class SubtableFixedChildrenIterator

extends java.lang.Object

Author:
  asmirnov

Field Summary
`protected java.util.Iterator<javax.faces.component.UIComponent>` | `childrenIterator`
`protected java.util.Iterator<javax.faces.component.UIComponent>` | `facetsIterator`

Constructor Summary
`SubtableFixedChildrenIterator(javax.faces.component.UIComponent dataTable)`

Method Summary
`protected boolean` | `checkAjaxComponent(javax.faces.component.UIComponent child)`
`protected void` | `checkNextColumnChild()`
`protected java.util.Iterator<javax.faces.component.UIComponent>` | `getColumnChildrenIterator(javax.faces.component.UIComponent child)`
`protected javax.faces.component.UIComponent` | `getNextFacet()`
`boolean` | `hasNext()`
`javax.faces.component.UIComponent` | `next()`
`protected javax.faces.component.UIComponent` | `nextColumn()`
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### facetsIterator

    protected java.util.Iterator<javax.faces.component.UIComponent> facetsIterator

### childrenIterator

    protected java.util.Iterator<javax.faces.component.UIComponent> childrenIterator

Constructor Detail

### SubtableFixedChildrenIterator

    public SubtableFixedChildrenIterator(javax.faces.component.UIComponent dataTable)

Method Detail

### getNextFacet

    protected javax.faces.component.UIComponent getNextFacet()

  Returns:

### nextColumn

    protected javax.faces.component.UIComponent nextColumn()

### checkAjaxComponent

    protected boolean checkAjaxComponent(javax.faces.component.UIComponent child)

  Returns:

### getColumnChildrenIterator

    protected java.util.Iterator<javax.faces.component.UIComponent> getColumnChildrenIterator(javax.faces.component.UIComponent child)

  Returns:

### checkNextColumnChild

    protected void checkNextColumnChild()

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<javax.faces.component.UIComponent>`

### next

    public javax.faces.component.UIComponent next()

  Specified by:
    `next` in interface `java.util.Iterator<javax.faces.component.UIComponent>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<javax.faces.component.UIComponent>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.